## EDU.oswego.cs.dl.util.concurrent
Class BrokenBarrierException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  EDU.oswego.cs.dl.util.concurrent.BrokenBarrierException

All Implemented Interfaces:
  java.io.Serializable

    public class BrokenBarrierException

extends java.lang.RuntimeException

Thrown by Barrier upon interruption of participant threads

See Also:
  Serialized Form

Field Summary
`int` `index` The index that barrier would have returned upon normal return;

Constructor Summary
`BrokenBarrierException(int idx)` Constructs a BrokenBarrierException with given index
`BrokenBarrierException(int idx, java.lang.String message)` Constructs a BrokenBarrierException with the specified index and detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    public final int index

  The index that barrier would have returned upon normal return;

Constructor Detail

### BrokenBarrierException

    public BrokenBarrierException(int idx)

  Constructs a BrokenBarrierException with given index

### BrokenBarrierException

    public BrokenBarrierException(int idx,
                                  java.lang.String message)

  Constructs a BrokenBarrierException with the specified index and detail message.